 class JamRuby::User

  attr_accessible :admin, :raw_password, :musician, :can_invite, :photo_url, :session_settings, :confirm_url, :email_template # :invite_email

  def raw_password
    ''
  end

  def raw_password= pw
    unless pw.blank?
      # change_password(pw, pw)
      self.updating_password = true 
      self.password = pw
      self.password_confirmation = pw

      if au = self.admin_user
        au.update_attribute(:encrypted_password, self.password_digest)
      end
    end
  end


  def admin_user
    User.where(:email => self.email)[0]
  end

  def show_frame_options
    self.get_gear_mod(MOD_GEAR_FRAME_OPTIONS)
  end
end
